DynamicJava Javadoc: Class URLChooser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.gui
Class URLChooser

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--koala.dynamicjava.gui.URLChooser

All Implemented Interfaces:
  javax.accessibility.Accessible, ActionMap, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class URLChooser
extends javax.swing.JDialog
implements ActionMap

A component used to enter an URL or to choose a local file

See Also:
  Serialized Form

Inner Class Summary
`protected class` | `URLChooser.BrowseButtonAction` The action associated with the 'browse' button
`protected class` | `URLChooser.CancelButtonAction` The action associated with the 'Cancel' button of the URL chooser
`protected class` | `URLChooser.ClearButtonAction` The action associated with the 'Clear' button of the URL chooser
`protected class` | `URLChooser.DocumentAdapter` To listen to the document changes
`protected class` | `URLChooser.OKButtonAction` The action associated with the 'OK' button of the URL chooser

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected static java.util.ResourceBundle` | `bundle` The resource bundle
`protected ButtonFactory` | `buttonFactory` The button factory
`protected javax.swing.JButton` | `clearButton` The Clear button
`protected java.util.Map` | `listeners` The map that contains the listeners
`protected javax.swing.Action` | `okAction` The external action associated with the ok button
`protected javax.swing.JButton` | `okButton` The OK button
`protected static java.lang.String` | `RESOURCE` The resource file name
`protected static ResourceManager` | `resources` The resource manager
`protected javax.swing.JTextField` | `textField` The text field

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`URLChooser(javax.swing.JDialog d, javax.swing.Action okAction)` Creates a new URLChooser
`URLChooser(javax.swing.JFrame f, javax.swing.Action okAction)` Creates a new URLChooser

Method Summary
`protected javax.swing.JPanel` | `createButtonsPanel()` Creates the buttons panel
`protected javax.swing.JPanel` | `createURLSelectionPanel()` Creates the URL selection panel
`javax.swing.Action` | `getAction(java.lang.String key)` Returns the action associated with the given string or null on error
`java.lang.String` | `getText()` Returns the text contained in the text field
`protected void` | `initialize(javax.swing.Action okAction)` Initializes the dialog
`protected static void` | `setConstraintsCoords(java.awt.GridBagConstraints constraints, int x, int y, int width, int height)` An utility funtion
`protected void` | `updateClearButtonAction()` To update the state of the Clear button
`protected void` | `updateOKButtonAction()` To update the state of the OK button

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCE

    protected static final java.lang.String RESOURCE

  The resource file name

### bundle

    protected static java.util.ResourceBundle bundle

  The resource bundle

### resources

    protected static ResourceManager resources

  The resource manager

### buttonFactory

    protected ButtonFactory buttonFactory

  The button factory

### textField

    protected javax.swing.JTextField textField

  The text field

### okButton

    protected javax.swing.JButton okButton

  The OK button

### clearButton

    protected javax.swing.JButton clearButton

  The Clear button

### okAction

    protected javax.swing.Action okAction

  The external action associated with the ok button

### listeners

    protected java.util.Map listeners

  The map that contains the listeners

Constructor Detail

### URLChooser

    public URLChooser(javax.swing.JDialog d,
                      javax.swing.Action okAction)

  Creates a new URLChooser
  Parameters:
    `d` - the parent dialog
    `okAction` - the action to associate to the ok button

### URLChooser

    public URLChooser(javax.swing.JFrame f,
                      javax.swing.Action okAction)

  Creates a new URLChooser
  Parameters:
    `f` - the parent frame
    `okAction` - the action to associate to the ok button

Method Detail

### getText

    public java.lang.String getText()

  Returns the text contained in the text field

### initialize

    protected void initialize(javax.swing.Action okAction)

  Initializes the dialog

### createURLSelectionPanel

    protected javax.swing.JPanel createURLSelectionPanel()

  Creates the URL selection panel

### createButtonsPanel

    protected javax.swing.JPanel createButtonsPanel()

  Creates the buttons panel

### setConstraintsCoords

    protected static void setConstraintsCoords(java.awt.GridBagConstraints constraints,
                                               int x,
                                               int y,
                                               int width,
                                               int height)

  An utility funtion

### updateOKButtonAction

    protected void updateOKButtonAction()

  To update the state of the OK button

### updateClearButtonAction

    protected void updateClearButtonAction()

  To update the state of the Clear button

### getAction

    public javax.swing.Action getAction(java.lang.String key)
                                 throws MissingListenerException

  Returns the action associated with the given string or null on error
  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.